> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dromo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update SFTP connector



## OpenAPI

````yaml /api-reference/openapi.json put /headless/sftp/connectors/{id}/
openapi: 3.1.0
info:
  title: Dromo
  description: >-
    Dromo's APIs provide convenient programmatic access to your uploads and
    schemas. You can use them to create powerful automated workflows.
  termsOfService: https://dromo.io/legal/terms
  contact:
    name: Dromo
    email: contact@dromo.io
  version: '1.0'
servers:
  - url: https://app.dromo.io/api/v1
security:
  - api_key: []
tags:
  - name: uploads
    description: Viewing completed imports
  - name: import-schemas
    description: Creating and viewing import schemas
  - name: headless
    description: Creating and viewing headless imports
  - name: sftp-credentials
    description: Managing SFTP server credentials
  - name: sftp-connectors
    description: Managing SFTP automated import connectors
paths:
  /headless/sftp/connectors/{id}/:
    put:
      tags:
        - sftp-connectors
      summary: Update SFTP connector
      operationId: updateSftpConnector
      parameters:
        - name: id
          in: path
          description: SFTP connector ID
          required: true
          schema:
            type: string
            format: uuid
            example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SftpConnectorCreate'
      responses:
        '200':
          description: SFTP connector updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SftpConnector'
        '404':
          description: Not found
components:
  schemas:
    SftpConnectorCreate:
      type: object
      properties:
        credentials:
          type: string
          format: uuid
          example: ee5d0e45-b098-47bc-8217-e93790243dfa
          description: ID of SFTP credentials to use
        schema:
          type: string
          format: uuid
          example: f9e8d7c6-b5a4-3210-9876-543210fedcba
          description: ID of import schema to use
        schedule:
          oneOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - every_n_minutes
                  example: every_n_minutes
                minutes:
                  type: integer
                  minimum: 5
                  example: 15
                  description: Run every N minutes (minimum 5)
              required:
                - type
                - minutes
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - daily_at_time
                  example: daily_at_time
                time_utc:
                  type: string
                  pattern: ^([0-1][0-9]|2[0-3]):[0-5][0-9]$
                  example: '09:00'
                  description: UTC time in HH:MM format (24-hour)
              required:
                - type
                - time_utc
        directory:
          type: string
          example: /uploads
          description: SFTP directory to monitor
        file_regex:
          type: string
          nullable: true
          example: .*\.csv$
          description: Optional regex pattern to filter files (null accepts all files)
      required:
        - credentials
        - schema
        - schedule
        - directory
    SftpConnector:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
          readOnly: true
        credentials:
          type: string
          format: uuid
          example: ee5d0e45-b098-47bc-8217-e93790243dfa
          description: ID of SFTP credentials to use
        schema:
          type: string
          format: uuid
          example: f9e8d7c6-b5a4-3210-9876-543210fedcba
          description: ID of import schema to use
        schedule:
          oneOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - every_n_minutes
                  example: every_n_minutes
                minutes:
                  type: integer
                  minimum: 5
                  example: 15
                  description: Run every N minutes (minimum 5)
              required:
                - type
                - minutes
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - daily_at_time
                  example: daily_at_time
                time_utc:
                  type: string
                  pattern: ^([0-1][0-9]|2[0-3]):[0-5][0-9]$
                  example: '09:00'
                  description: UTC time in HH:MM format (24-hour)
              required:
                - type
                - time_utc
        directory:
          type: string
          example: /uploads
          description: SFTP directory to monitor
        file_regex:
          type: string
          nullable: true
          example: .*\.csv$
          description: Optional regex pattern to filter files (null accepts all files)
      required:
        - credentials
        - schema
        - schedule
        - directory
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Dromo-License-Key
      in: header
      description: >-
        This backend API key is different than your frontend license key. Please
        use the "Backend" license key from your [Dromo
        Dashboard](https://dashboard.dromo.io/).

````